xine-lib: xine-lib-1.2.12/src/audio_dec/fooaudio.c File Reference

xine-lib 1.2.12

Data Structures | Macros | Typedefs | Functions | Variables
fooaudio.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <unistd.h>`
`#include <xine/xine_internal.h>`
`#include <xine/audio_out.h>`
`#include <xine/buffer.h>`
`#include <xine/xineutils.h>`
`#include "bswap.h"`
`#include <math.h>`

## Data Structures
struct | fooaudio_class_t
struct | fooaudio_decoder_s

## Macros
#define | AUDIOBUFSIZE 128*1024
#define | WAVE_HZ 300

## Typedefs
typedef struct fooaudio_decoder_s | fooaudio_decoder_t

## Functions
static void | fooaudio_decode_data (audio_decoder_t *this_gen, buf_element_t *buf)
static void | fooaudio_reset (audio_decoder_t *this_gen)
static void | fooaudio_discontinuity (audio_decoder_t *this_gen)
static void | fooaudio_dispose (audio_decoder_t *this_gen)
static audio_decoder_t * | open_plugin (audio_decoder_class_t *class_gen, xine_stream_t *stream)
static void | dispose_class (audio_decoder_class_t *this_gen)
static void * | init_plugin (xine_t *xine, const void *data)

## Variables
static const uint32_t | audio_types []
static const decoder_info_t | dec_info_audio
const plugin_info_t xine_plugin_info[] | EXPORTED

## Macro Definition Documentation

## ◆ AUDIOBUFSIZE

#define AUDIOBUFSIZE 128*1024

## ◆ WAVE_HZ

#define WAVE_HZ 300

## Typedef Documentation

## ◆ fooaudio_decoder_t

typedef struct fooaudio_decoder_s fooaudio_decoder_t

## Function Documentation

## ◆ dispose_class()

static void dispose_class | ( | audio_decoder_class_t * | this_gen | ) |
| static

Referenced by init_plugin().

## ◆ fooaudio_decode_data()

static void fooaudio_decode_data | ( | audio_decoder_t * | this_gen,
|  | buf_element_t * | buf
| ) |  |
| static

References _x_meta_info_set_utf8(), AO_CAP_MODE_MONO, AUDIOBUFSIZE, BUF_FLAG_FRAME_END, BUF_FLAG_STDHEADER, buf_element_s::content, buf_element_s::decoder_flags, buf_element_s::decoder_info, audio_buffer_s::mem, audio_buffer_s::mem_size, audio_buffer_s::num_frames, buf_element_s::pts, buf_element_s::size, audio_buffer_s::stream, audio_buffer_s::vpts, WAVE_HZ, xine_fast_memcpy, XINE_META_INFO_AUDIOCODEC, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by open_plugin().

## ◆ fooaudio_discontinuity()

static void fooaudio_discontinuity | ( | audio_decoder_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ fooaudio_dispose()

static void fooaudio_dispose | ( | audio_decoder_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ fooaudio_reset()

static void fooaudio_reset | ( | audio_decoder_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ init_plugin()

static void * init_plugin | ( | xine_t * | xine,
|  | const void * | data
| ) |  |
| static

References dispose_class(), N_, and open_plugin().

## ◆ open_plugin()

static audio_decoder_t * open_plugin | ( | audio_decoder_class_t * | class_gen,
|  | xine_stream_t * | stream
| ) |  |
| static

References fooaudio_decode_data(), fooaudio_discontinuity(), fooaudio_dispose(), fooaudio_reset(), and NULL.

Referenced by init_plugin().

## Variable Documentation

## ◆ audio_types

const uint32_t audio_types[]
| static

Initial value:
= {
0
}

## ◆ dec_info_audio

const decoder_info_t dec_info_audio
| static

Initial value:
= {
.supported_types = audio_types,
.priority = 5,
}
audio_types
static const uint32_t audio_types[]
Definition: fooaudio.c:319

## ◆ EXPORTED

const plugin_info_t xine_plugin_info [] EXPORTED

Initial value:
= {
{ PLUGIN_AUDIO_DECODER, 16, "fooaudio", XINE_VERSION_CODE, &dec_info_audio, &init_plugin },
{ PLUGIN_NONE, 0, NULL, 0, NULL, NULL }
}
init_plugin
static void * init_plugin(xine_t *xine, const void *data)
Definition: fooaudio.c:301
dec_info_audio
static const decoder_info_t dec_info_audio
Definition: fooaudio.c:328
XINE_VERSION_CODE
#define XINE_VERSION_CODE
Definition: xine_internal.h:57
NULL
NULL
Definition: xine_plugin.c:78
PLUGIN_AUDIO_DECODER
#define PLUGIN_AUDIO_DECODER
Definition: xine_plugin.h:32
PLUGIN_NONE
#define PLUGIN_NONE
Definition: xine_plugin.h:29